/*
	Copyright (c) 2004-2008, The Dojo Foundation
	All Rights Reserved.

	Licensed under the Academic Free License version 2.1 or above OR the
	modified BSD license. For more information on Dojo licensing, see:

		http://dojotoolkit.org/book/dojo-book-0-9/introduction/licensing
*/


// *** Fricking Eolas.  This is here to get around the Eolas issue.  Sigh. ***************
dojox.av.flash.place = function(node, kwArgs){
	node=dojo.byId(node);
	var o = dojox.av.flash.__ie_markup__(kwArgs);
	if(o){
		node.innerHTML = o.markup;
		return window[o.id];
	}
	return null;
}
if(dojo._initFired){
	dojox.av.flash.onInitialize();
} else {
	dojo.addOnLoad(function(){
		dojox.av.flash.onInitialize();
	});
}
